desc = getEffectDescriptionP(ENET_EFFECT_EXPLOSION_LIGHT2_GREEN)
desc.ClassID = ENCLASS_LIGHTSOURCE
desc.EffectClassType = ENECT_LIGHTSOURCE

desc.ScriptSet = ENSCRIPTSET_UNKNOWN
desc.RelativePosition = ENLOCALPOS_NOTSPECIFIED
local vzbzd1 = D3DXVECTOR3:new(0,0,0)
desc.LocalPosition = vzbzd1
vzbzd1:delete()
desc.ActivityType = ENACT_ACTIVE

-- add interpolators
desc:clearInterpolators()

local interpolator = createInterpolator()
interpolator:addKey(0.0,80.0)
interpolator:addKey(5.0,220.0)
interpolator:finalize(false)
-- add interpolator on light range
desc:addInterpolator(interpolator,getFieldOffset(EN_FIELD_LIGHT_RANGE))

local interpolator = createInterpolator()
interpolator:addKey(0.0,0.0)
interpolator:addKey(0.5,0.7)
interpolator:addKey(4.5,0.7)
interpolator:addKey(5.0,0.0)
interpolator:finalize(false)
-- add interpolator on R B colors
desc:addInterpolator(interpolator,getFieldOffset(EN_FIELD_DIFFUSE_R))

local interpolator = createInterpolator()
interpolator:addKey(0.0,0.0)
interpolator:addKey(0.5,1.0)
interpolator:addKey(4.5,1.0)
interpolator:addKey(5.0,0.0)
interpolator:finalize(false)
-- add interpolator on R B colors
desc:addInterpolator(interpolator,getFieldOffset(EN_FIELD_DIFFUSE_G))

local interpolator = createInterpolator()
interpolator:addKey(0.0,0.0)
interpolator:addKey(0.5,0.5)
interpolator:addKey(4.5,0.5)
interpolator:addKey(5.0,0.0)
interpolator:finalize(false)
-- add interpolator on R B colors
desc:addInterpolator(interpolator,getFieldOffset(EN_FIELD_DIFFUSE_B))


