--
-- oriented sprite with interpolator creation test
--
desc = getEffectDescriptionP(ENET_ORIENTEDSPRITE_AIRPORTLIGHT_WHITE)

desc.ClassID = ENCLASS_ORIENTEDSPRITE
desc.EffectClassType = ENECT_ORIENTEDSPRITE
desc.ActivityType = ENACT_ACTIVE

desc.ScriptSet = ENSCRIPTSET_UNKNOWN
desc.FileName = "environment_effect_spotlight2.dds"
desc.RelativePosition = ENLOCALPOS_NOTSPECIFIED
local vzbzd1 = D3DXVECTOR3:new(0,0,0)
desc.LocalPosition = vzbzd1
vzbzd1:delete()
desc.isAnimateTexture = false

desc.Material = ENMAT_3DSPRITE_ALPHED
desc.MaterialColors.Ambient.r = 0
desc.MaterialColors.Ambient.g = 0
desc.MaterialColors.Ambient.b = 0
desc.MaterialColors.Ambient.a = 1
desc.MaterialColors.Diffuse.r = 0
desc.MaterialColors.Diffuse.g = 0
desc.MaterialColors.Diffuse.b = 0
desc.MaterialColors.Diffuse.a = 1
desc.MaterialColors.Emissive.r = 1
desc.MaterialColors.Emissive.g = 1
desc.MaterialColors.Emissive.b = 0.8
desc.MaterialColors.Emissive.a = 1
desc.RenderType = ENRENDERTYPE_GEOMETRY

spdesc = desc.OrientedSprite
spdesc.SpriteType = EN3DSPRITE_SPRITE
spdesc.xsize = 10
spdesc.ysize = 10
local vzbzd2 = D3DXVECTOR3:new(0,0,1)
spdesc.OrientAxis = vzbzd2
vzbzd2:delete()
local vzbzd3 = D3DXVECTOR3:new(0,1,0)
spdesc.BindAxis = vzbzd3
vzbzd3:delete()
spdesc.Centering = ENCENTERING_CENTER
spdesc.IsTargetted = false
spdesc.TargetRelativePosition = ENLOCALPOS_NOTSPECIFIED
spdesc.IsAxisInLocalSpace = true

desc:clearInterpolators()

interpolator = createInterpolator()
interpolator:addKey(0.0,0.0)
interpolator:addKey(1.0,0.4)
interpolator:addKey(1.3,1.0)
interpolator:addKey(1.6,0.4)
interpolator:addKey(2.6,0.0)
interpolator:finalize(true)
-- add interpolator on X scale
desc:addInterpolator(interpolator,getFieldOffset(EN_FIELD_SCALE_X))
-- add interpolator on Z scale
desc:addInterpolator(interpolator,getFieldOffset(EN_FIELD_SCALE_Z))

desc:addInterpolator(interpolator,getFieldOffset(EN_FIELD_SCALE_Y))


interpolator = createInterpolator()
interpolator:addKey(0.0,0.0)
interpolator:addKey(1.0,0.4)
interpolator:addKey(1.3,1.0)
interpolator:addKey(1.6,0.4)
interpolator:addKey(2.6,0.0)
interpolator:finalize(true)
-- add interpolator on X scale
desc:addInterpolator(interpolator,getFieldOffset(EN_FIELD_EMISSIVE_A))
