desc = getEffectDescriptionP(ENET_EFFECT_EXPLOSION_LIGHT4)
desc.ClassID = ENCLASS_LIGHTSOURCE
desc.EffectClassType = ENECT_LIGHTSOURCE

desc.ScriptSet = ENSCRIPTSET_UNKNOWN
desc.RelativePosition = ENLOCALPOS_NOTSPECIFIED
local vzbzd1 = D3DXVECTOR3:new(0,0,0)
desc.LocalPosition = vzbzd1
vzbzd1:delete()
desc.ActivityType = ENACT_ACTIVE

-- add interpolators
desc:clearInterpolators()

local interpolator = createInterpolator()
interpolator:addKey(0.0,80.0)
interpolator:addKey(1.0,220.0)
interpolator:addKey(15.0,80.0)
interpolator:finalize(false)
-- add interpolator on light range
desc:addInterpolator(interpolator,getFieldOffset(EN_FIELD_LIGHT_RANGE))

local interpolator = createInterpolator()
interpolator:addKey(0.0,0.0)
interpolator:addKey(0.5,0.6)
interpolator:addKey(6.5,0.6)
interpolator:addKey(15.0,0.0)
interpolator:finalize(false)
-- add interpolator on R B colors
desc:addInterpolator(interpolator,getFieldOffset(EN_FIELD_DIFFUSE_R))

local interpolator = createInterpolator()
interpolator:addKey(0.0,0.0)
interpolator:addKey(0.5,0.3)
interpolator:addKey(6.5,0.3)
interpolator:addKey(15.0,0.0)
interpolator:finalize(false)
-- add interpolator on R B colors
desc:addInterpolator(interpolator,getFieldOffset(EN_FIELD_DIFFUSE_G))

local interpolator = createInterpolator()
interpolator:addKey(0.0,0.0)
interpolator:addKey(0.5,0.1)
interpolator:addKey(6.5,0.1)
interpolator:addKey(15.0,0.0)
interpolator:finalize(false)
-- add interpolator on R B colors
desc:addInterpolator(interpolator,getFieldOffset(EN_FIELD_DIFFUSE_B))


